﻿using System;
using System.Collections.Generic;

namespace AvaloniaApplication2.Models;

public partial class User
{
    public int IdUser { get; set; }

    public string Name { get; set; } = null!;

    public DateTime? BirthDate { get; set; }

    public int IdGender { get; set; }

    public byte[]? Image { get; set; }

    public virtual Gender IdGenderNavigation { get; set; } = null!;

    public virtual Logined IdUserNavigation { get; set; } = null!;

    public virtual ICollection<Trait> IdTraits { get; set; } = new List<Trait>();
}
